Skip to main content

/cosmos/gov/v1/proposals

GET

Proposals queries all proposals based on given status.
Query Parameters
proposal_statusstring
proposal_status defines the status of the proposals.
    period.
      period.
        passed.
          been rejected.
            failed.
            voterstring
            voter defines the voter address for the proposals.
            depositorstring
            depositor defines the deposit addresses from the proposals.
            pagination.keystring
            key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
            pagination.offsetstring
            offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
            pagination.limitstring
            limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
            pagination.count_totalboolean
            count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
            pagination.reverseboolean
            Set to true to return results in descending order.
            Responses
            proposals defines all the requested governance proposals.
            idstring
            proposal_id is the unique id of a proposal.
            messages are the arbitrary messages to be executed if the proposal passes.
            type_urlstring
            A URL/resource name that uniquely identifies the type of the serializedprotocol buffer message. This string must contain at leastone "/" character. The last segment of the URL's path must representthe fully qualified name of the type (as inpath/google.protobuf.Duration). The name should be in a canonical form(e.g., leading "." is not accepted).In practice, teams usually precompile into the binary all types that theyexpect it to use in the context of Any. However, for URLs which use thescheme http, https, or no scheme, one can optionally set up a typeserver that maps type URLs to message definitions as follows:
            • If no scheme is provided, https is assumed.
            • An HTTP GET on the URL must yield a [google.protobuf.Type][]
            value in binary format, or produce an error.
            • Applications are allowed to cache lookup results based on the
            URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)Note: this functionality is not currently available in the officialprotobuf release, and it is not used for type URLs beginning withtype.googleapis.com.Schemes other than http, https (or the empty scheme) might beused with implementation specific semantics.
            valuestring
            Must be a valid serialized protocol buffer of the above specified type.
            statusstring
            status defines the proposal status.
            final_tally_result is the final tally result of the proposal. Whenquerying a proposal via gRPC, this field is not populated until theproposal's voting period has ended.
            yes_countstring
            yes is the number of yes votes on a proposal.
            abstain_countstring
            abstain is the number of abstain votes on a proposal.
            no_countstring
            no is the number of no votes on a proposal.
            no_with_veto_countstring
            no_with_veto is the number of no with veto votes on a proposal.
            submit_timestring
            submit_time is the time of proposal submission.
            deposit_end_timestring
            deposit_end_time is the end time for deposition.
            total_deposit is the total deposit on the proposal.
            denomstring
            amountstring
            voting_start_timestring
            voting_start_time is the starting time to vote on a proposal.
            voting_end_timestring
            voting_end_time is the end time of voting on a proposal.
            metadatastring
            titlestring
            summarystring
            proposerstring
            expeditedboolean
            failed_reasonstring
            pagination defines an pagination for the response.
            next_keystring
            next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.
            totalstring
            codestringrequired
            Code identifying the cause of the failed request.
            messagestringrequired
            Detailed message including the name and value of the invalid parameter.
            {
            "code": "ERROR_CODE",
            "message": "An unexpected error response."
            }
            cURL
            curl -X GET 'https://rest-cosmos-mainnet.nodit.io/cosmos/gov/v1/proposals' \
            -H 'Content-Type: application/json' \
            -H 'X-API-KEY: nodit-demo'